package cn.bunny.config;


import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Contact;
import io.swagger.v3.oas.models.info.Info;
import org.springdoc.core.models.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class Knife4jConfig {
    @Bean
    public GroupedOpenApi adminApi() {// 创建API分组
        return GroupedOpenApi.builder()
                .group("admin-api111")
                .pathsToMatch("/admin/**")
                .build();
    }

    @Bean
    public OpenAPI customerOpenApi() {
        return new OpenAPI().info(new Info().title("接口文档").version("1.0").contact(new Contact()
                .name("bunny")));
    }
}
