package cn.bunny.controller;


import cn.bunny.common.spzx.model.vo.common.Result;
import cn.bunny.common.spzx.model.vo.common.ResultCodeEnum;
import cn.bunny.common.spzx.model.vo.file.UploadFileVo;
import cn.bunny.service.FIleUploadService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;


@Tag(name = "上传文件")
@Log4j2
@RestController
@RequestMapping("admin/system")
public class FileUploadController {

    @Autowired
    private FIleUploadService fIleUploadService;

    @Operation(summary = "上传文件", description = "上传文件返回路径名称")
    @PostMapping("fileUpload")
    public Result fileUpload(@RequestParam("file") MultipartFile file) throws Exception {
        log.info("post 文件上传 --- " + file.getOriginalFilename());

        String fileUrl = fIleUploadService.uploadFile(file);

        UploadFileVo uploadFileVo = new UploadFileVo();
        uploadFileVo.setFilename(file.getOriginalFilename());
        uploadFileVo.setFilesize(file.getSize());
        uploadFileVo.setFilepath(fileUrl);

        return Result.build(fileUrl, ResultCodeEnum.SUCCESS);
    }
}