package cn.bunny.service.impl;

import cn.bunny.common.spzx.model.entity.product.Brand;
import cn.bunny.mapper.BrandMapper;
import cn.bunny.service.BrandService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BrandServiceImpl implements BrandService {

    @Autowired
    private BrandMapper brandMapper;

    // 查询
    @Override
    public PageInfo<Brand> findByPage(Integer page, Integer limit) {
        PageHelper.startPage(page, limit);
        List<Brand> brandList = brandMapper.findByPage();
        return new PageInfo<>(brandList);
    }

    // 添加
    @Override
    public void save(Brand brand) {
        brandMapper.save(brand);
    }

    // 修改品牌
    @Override
    public void updateById(Brand brand) {
        brandMapper.updateById(brand);
    }

    // 删除品牌
    @Override
    public void deleteById(Integer id) {
        brandMapper.deleteById(id);
    }

    // 查询所有品牌
    @Override
    public List<Brand> findAll() {

        return brandMapper.findAll();
    }
}
