package cn.bunny.service.impl;

import cn.bunny.common.spzx.model.dto.system.AssginMenuDto;
import cn.bunny.common.spzx.model.entity.system.SysMenu;
import cn.bunny.mapper.SysRoleMenuMapper;
import cn.bunny.service.SysMenuService;
import cn.bunny.service.SysRoleMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class SysRoleMenuServiceImpl implements SysRoleMenuService {
    @Autowired
    private SysRoleMenuMapper sysRoleMenuMapper;

    @Autowired
    private SysMenuService sysMenuService;

    // 查询所有菜单 和查询所有角色分配过的id列表
    @Override
    public Map<String, Object> findSysRoleMenuByRoleId(String roleId) {
        // 查询所有
        List<SysMenu> sysMenuList = sysMenuService.findNodes();

        // 查询角色分配过菜单id列表
        List<Long> roleMenuIds = sysRoleMenuMapper.findSysRoleMenuByRoleId(roleId);

        // 整合数据返回
        Map<String, Object> map = new HashMap<>();
        map.put("sysMenuList", sysMenuList);
        map.put("roleMenuIds", roleMenuIds);

        return map;
    }

    // 分配菜单
    @Override
    public void doAssign(AssginMenuDto assginMenuDto) {
        // 删除角色分配菜单数据
        sysRoleMenuMapper.deleteByRoleId(assginMenuDto.getRoleId());

        // 保存分配数据
        List<Map<String, Number>> menuInfo = assginMenuDto.getMenuIdList();
        if (menuInfo != null && menuInfo.size() > 0) {
            sysRoleMenuMapper.doAssign(assginMenuDto);
        }
    }
}
